import { LRLanguage, LanguageSupport } from "@codemirror/language";
declare const nobieLanguage: LRLanguage;
declare class NodeNames {
    measureNodeNames: readonly ["MeasureReference", "MachineMeasureReferenceWithUUID", "MachineMeasureReference", "MachineMeasureReferenceWithTableUUID"];
    private measureNodeNamesSet;
    isMeasureNode(name: string): boolean;
}
declare const nodeNames: NodeNames;
type MeasureNodeName = (typeof measureNodeNames)[number];
declare const measureNodeNames: readonly ["MeasureReference", "MachineMeasureReferenceWithUUID", "MachineMeasureReference", "MachineMeasureReferenceWithTableUUID"];
declare function nobie(): LanguageSupport;
export { nobieLanguage, nodeNames, MeasureNodeName, measureNodeNames, nobie };
